Bug 1249639 - changing internal domain to work with the jdbc extension
changing internal domain to work with the jdbc extension
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity medium
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Martin Perina
Ondra Machacek
:
Depends On: 1260573
Blocks: 1273261
  Show dependency treegraph
 
Reported: 2015-08-03 09:05 EDT by Oved Ourfali
Modified: 2016-04-19 21:10 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
The provider for the 'internal' user domain has been replaced with the AAA-JDBC extension, which is now installed by default. Upgrading a Red Hat Enterprise Virtualization environment will convert the legacy provider and preserve the 'admin@internal' password. For new installations, the 'admin@internal' password is still set during engine-setup.
Story Points: ---
Clone Of:
: 1273261 (view as bug list)
Environment:
Last Closed: 2016-04-19 21:10:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oved Ourfali 2015-08-03 09:05:46 EDT
Changing internal domain to work with the jdbc extension
Comment 1 Pavel Stehlik 2015-08-18 03:41:46 EDT
CodeChange? Or how should be tested?
Comment 2 Martin Perina 2015-08-18 09:23:43 EDT
Legacy provider for 'internal', which supports only only one user (admin) and no groups, was replaced with aaa-jdbc provider which supports unlimited number of users and groups same as aaa-ldap provider. So I think that verification should be similar to 1076971:

1. Upgrade for previous version is OK, internal legacy provider is replaced with aaa-jdbc, admin@internal can be logged in with the same password as before

2. New installation is OK, aaa-jdbc is configured properly, admin@internal can be logged in using password specified during engine-setup

3. For both upgrade and new installation verify that user/groups management using ovirt-aaa-jdbc-tool command works correctly
Comment 3 Andrew Burden 2015-10-21 19:45:15 EDT
Doc text updated so as to be used in the Release Notes. 

This bug has been cloned, including the old doc text, so that this enhancement can be incorporated into the documentation and tracked. 

Docs bug: BZ#1273261

Note You need to log in before you can comment on or make changes to this bug.